#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

// Eigene Vergleichsfunktion definieren.
bool compare(const double& a, const double& b)
{
  return a > b;
}

int main()
{
  // Einen Vektor sortieren.
  vector<int> v(5);
  v[0] = 1;
  v[1] = 5;
  v[2] = 2;
  v[3] = 4;
  v[4] = 3;

  sort(v.begin(), v.end());
  
  // Gibt aus: 1 2 3 4 5
  for(int i = 0; i < (int)v.size(); ++i)
    cout << v[i] << " ";
  cout << endl;

  // Ein Array sortieren
  double d[5] = {4.0, 5.0, 3.0, 1.0, 2.0};
  sort(d, d+5);

  // Mit der selbst-definierten Vergleichsfunktion sortieren.
  sort(d, d+5, compare);

  // Gibt aus: 5 4 3 2 1
  for(int i = 0; i < 5; ++i)
    cout << d[i] << " ";
  cout << endl;
  
  return 0;
}
